Balloon Slider Widget

Balloon slider widget with floating balloon animation, inspired from Balloon Picker.

pub package

Installation

Add dependency in pubspec.yaml:

dependencies:
  flutter_balloon_slider: "^0.1.0"

Import in your project:

import 'package:flutter_balloon_slider/flutter_balloon_slider.dart';

Basic usage

BalloonSlider(
    value: 0.5,
    ropeLength: 55,
    showRope: true,
    onChangeStart: (val) {},
    onChanged: (val) {},
    onChangeEnd: (val) {},
    color: Colors.indigo
)

Examples

example project contains demo

Demo

v 0.1.0

alt tag

Changelog

Check Changelog for updates

Bugs/Requests

Reporting issues and requests for new features are always welcome.

Libraries

flutter_balloon_slider